# Class PoCMappingService

Namespace
  adas_core.Application.Services

Assembly
  adas-core.Application.dll

Provides a proof-of-concept implementation of the IPoCMappingService interface, delivering the mapping functionality defined by that contract.

    public class PoCMappingService : IPoCMappingService

Inheritance
  object
  PoCMappingService

Implements
  IPoCMappingService

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### PoCMappingService(IPoCMappingRepository, IOptions<ApiSettings>)

    public PoCMappingService(IPoCMappingRepository pocMappingRepository, IOptions<ApiSettings> apiSettings)

#### Parameters

`pocMappingRepository` IPoCMappingRepository
`apiSettings` IOptions<ApiSettings>

## Methods

### Map(PatientLocation)

Maps a received location with bed and pointOfCare to the equivalence in the PocMapping table if it finds the value, otherwise it returns null

    public Task<PatientLocation?> Map(PatientLocation original)

#### Parameters

`original` PatientLocation

  location

#### Returns

Task<PatientLocation>

  mapped location